Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_EventType Class Reference

@brief. More...

`#include <EventType.h>`

List of all members.

## Public Methods
| TAO_NS_EventType (void)
| Constuctor. More...
| TAO_NS_EventType (const char *domain_name, const char *type_name)
| TAO_NS_EventType (const CosNotification::EventType &event_type)
| ~TAO_NS_EventType ()
| Destructor. More...
u_long | hash (void) const
| hash value. More...
TAO_NS_EventType & | operator= (const CosNotification::EventType &event_type)
| Assignment from CosNotification::EventType. More...
TAO_NS_EventType & | operator= (const TAO_NS_EventType &event_type)
| Assignment operator. More...
int | operator== (const TAO_NS_EventType &notify_event_type) const
| == operator. More...
int | operator!= (const TAO_NS_EventType &notify_event_type) const
| != operator. More...
CORBA::Boolean | is_special (void) const
const CosNotification::EventType & | native (void) const
void | dump (void)
| Helper to print contents. More...
## Static Public Methods
TAO_NS_EventType | special (void)
## Protected Methods
void | init_i (const char *domain_name, const char *type_name)
| Init this object. More...
void | recompute_hash (void)
## Protected Attributes
CosNotification::EventType | event_type_
u_long | hash_value_

## Detailed Description

@brief.

This type is used to compare different event types. It is used by the Event Manager as a key to find subscription lists.

## Constructor & Destructor Documentation

TAO_NS_EventType::TAO_NS_EventType | ( | void |  | ) |

| Constuctor.

TAO_NS_EventType::TAO_NS_EventType | ( | const char * | domain_name,
|  | const char * | type_name
| ) |

TAO_NS_EventType::TAO_NS_EventType | ( | const CosNotification::EventType & | event_type | ) |

TAO_NS_EventType::~TAO_NS_EventType | ( |  | ) |

| Destructor.

## Member Function Documentation

void TAO_NS_EventType::dump | ( | void |  | ) |

| Helper to print contents.

u_long TAO_NS_EventType::hash | ( | void |  | ) | const

| hash value.

void TAO_NS_EventType::init_i | ( | const char * | domain_name,
|  | const char * | type_name
| ) | `[protected]`

| Init this object.

CORBA::Boolean TAO_NS_EventType::is_special | ( | void |  | ) | const

const CosNotification::EventType& TAO_NS_EventType::native | ( | void |  | ) | const

int TAO_NS_EventType::operator!= | ( | const TAO_NS_EventType & | event_type | ) | const

| != operator.

TAO_NS_EventType & TAO_NS_EventType::operator= | ( | const TAO_NS_EventType & | event_type | ) |

| Assignment operator.

TAO_NS_EventType & TAO_NS_EventType::operator= | ( | const CosNotification::EventType & | event_type | ) |

| Assignment from CosNotification::EventType.

int TAO_NS_EventType::operator== | ( | const TAO_NS_EventType & | event_type | ) | const

| == operator.

void TAO_NS_EventType::recompute_hash | ( | void |  | ) | `[protected]`

TAO_NS_EventType TAO_NS_EventType::special | ( | void |  | ) | `[static]`

## Member Data Documentation

CosNotification::EventType TAO_NS_EventType::event_type_`[protected]`

u_long TAO_NS_EventType::hash_value_`[protected]`

The documentation for this class was generated from the following files:

- EventType.h
- EventType.cpp